Bug 526480 - Grid documentation should advise setting a sufficient MAX_JOBS_RUNNING for concurrent dag deployments
Summary: Grid documentation should advise setting a sufficient MAX_JOBS_RUNNING for co...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Documentation
Version: 1.2
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Lana Brindley
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks: 507957
TreeView+ depends on / blocked
 
Reported: 2009-09-30 14:54 UTC by Pete MacKinnon
Modified: 2013-10-23 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-16 16:33:57 UTC


Attachments (Terms of Use)

Description Pete MacKinnon 2009-09-30 14:54:45 UTC

Comment 1 Pete MacKinnon 2009-09-30 15:03:31 UTC
Customers and field staff should be aware that there is a current limitation in 1.2 for dagman. The schedd unfortunately does not account for the entire number of jobs running including a root dagman and its node jobs. The deferred nature of launching a dag means that the potential # of jobs is hidden until parsed by the condor_dagman process of the dag submission file. This could be exacerbated by dags that include splices and nested dags.

Matt and I discussed where this type of info should be classified. Perhaps not the User Guide but maybe in a Planning section for an Admin guide?

Comment 2 Lana Brindley 2009-10-06 02:58:53 UTC
Knocking this back to the "documentation" (generic) component until we decide where to put it.

LKB

Comment 3 Matthew Farrellee 2009-11-17 01:30:44 UTC
Note, in 7.4, MAX_JOBS_RUNNING is now an expression and independent of a START_SCHEDULER_UNIVERSE expression.

Comment 4 Lana Brindley 2010-04-06 01:49:46 UTC
Can someone please advise if this change is relevant to 1.3, and if so, where the information needs to be included.

Thanks,
Lana

Comment 5 Pete MacKinnon 2010-05-21 02:47:05 UTC
We are trying to get a KB article written for this. Awaiting feedback from Mike Cressman or Jon Thomas (or someone with KB experience). Any pointers?

Comment 6 Lana Brindley 2010-05-21 03:33:23 UTC
GSS is in charge of KB, but I have it on good authority that ECS can create articles if we need to.  They remain internal until they're approved by GSS. The problem with that is I'm on leave until 7 June. If you want it done earlier than that, you might be better off contacting dpowles@redhat.com directly.

LKB

Comment 7 Pete MacKinnon 2010-06-18 02:47:32 UTC
KB article http://kbase.redhat.com/faq/docs/DOC-33345

submitted to SME jthomas for tech review


Note You need to log in before you can comment on or make changes to this bug.